Description: specs: Don't use 'require_relative'
 Upstreams uses 'require_relative' within the specs. This makes running
 the specs via autopkgtest fail, as lib/ is moved away during
 autopkgtest runs. 
 
 This should be forwarded upstream.
Author: Georg Faerber <georg@riseup.net>
Forwarded: not-yet
Last-Update: 2020-02-04
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
Index: ruby-gettext-setup/spec/lib/gettext-setup/gettext_setup_spec.rb
===================================================================
--- ruby-gettext-setup.orig/spec/lib/gettext-setup/gettext_setup_spec.rb	2020-02-04 10:48:46.279770152 +0000
+++ ruby-gettext-setup/spec/lib/gettext-setup/gettext_setup_spec.rb	2020-02-04 10:48:46.263769635 +0000
@@ -2,9 +2,9 @@
 # frozen_string_literal: true
 
 require 'rspec/expectations'
-require_relative '../../spec_helper'
+require 'spec_helper'
 
-require_relative '../../../lib/gettext-setup'
+require 'gettext-setup'
 
 describe GettextSetup do
   locales_path = File.absolute_path(File.join(File.dirname(__FILE__), '../../fixtures/locales'))
Index: ruby-gettext-setup/spec/lib/gettext-setup/metadata_pot_spec.rb
===================================================================
--- ruby-gettext-setup.orig/spec/lib/gettext-setup/metadata_pot_spec.rb	2020-02-04 10:48:46.279770152 +0000
+++ ruby-gettext-setup/spec/lib/gettext-setup/metadata_pot_spec.rb	2020-02-04 10:48:46.263769635 +0000
@@ -2,9 +2,9 @@
 
 require 'rspec/expectations'
 require 'tmpdir'
-require_relative '../../spec_helper'
+require 'spec_helper'
 
-require_relative '../../../lib/gettext-setup'
+require 'gettext-setup'
 
 describe GettextSetup::MetadataPot do
   before(:each) do
Index: ruby-gettext-setup/spec/lib/gettext-setup/pot_spec.rb
===================================================================
--- ruby-gettext-setup.orig/spec/lib/gettext-setup/pot_spec.rb	2020-02-04 10:48:46.279770152 +0000
+++ ruby-gettext-setup/spec/lib/gettext-setup/pot_spec.rb	2020-02-04 10:48:46.263769635 +0000
@@ -2,9 +2,9 @@
 
 require 'rspec/expectations'
 require 'tmpdir'
-require_relative '../../spec_helper.rb'
+require 'spec_helper'
 
-require_relative '../../../lib/gettext-setup'
+require 'gettext-setup'
 describe GettextSetup::Pot do
   NoConfigFoundError = GettextSetup::NoConfigFoundError
 
Index: ruby-gettext-setup/spec/spec_helper.rb
===================================================================
--- ruby-gettext-setup.orig/spec/spec_helper.rb	2020-02-04 10:48:46.279770152 +0000
+++ ruby-gettext-setup/spec/spec_helper.rb	2020-02-04 10:48:46.271769894 +0000
@@ -1,7 +1,7 @@
 # frozen_string_literal: true
 
 require 'simplecov'
-require_relative '../lib/gettext-setup'
+require 'gettext-setup'
 
 GettextSetup.initialize(File.join(File.dirname(__FILE__), 'fixtures', 'locales'))
 
Index: ruby-gettext-setup/spec/lib/tasks/gettext_rake_spec.rb
===================================================================
--- ruby-gettext-setup.orig/spec/lib/tasks/gettext_rake_spec.rb	2020-02-04 10:48:46.279770152 +0000
+++ ruby-gettext-setup/spec/lib/tasks/gettext_rake_spec.rb	2020-02-04 10:48:46.271769894 +0000
@@ -2,9 +2,13 @@
 
 require 'rspec/expectations'
 require 'rake'
-require_relative '../../spec_helper.rb'
+require 'spec_helper'
 
-load File.expand_path('../../../../lib/tasks/gettext.rake', __FILE__)
+begin
+  load File.expand_path('../../../../lib/tasks/gettext.rake', __FILE__)
+rescue LoadError
+  load '/usr/lib/ruby/vendor_ruby/tasks/gettext.rake'
+end
 
 describe 'gettext.rake' do
   locales = File.expand_path('../../fixtures/locales', File.dirname(__FILE__))
